// Generated by dts-bundle v0.7.3
// Dependencies for this module:
//   ../../graphql-codegen-core

declare module 'graphql-codegen-generators' {
    export { compileTemplate } from 'graphql-codegen-generators/compile';
    export { GeneratorConfig, FileOutput } from 'graphql-codegen-generators/types';
    import TypescriptSingleFile from 'graphql-codegen-generators/src/typescript-single-file/config';
    import TypescriptMultiFile from 'graphql-codegen-generators/src/typescript-multi-file/config';
    export { getGeneratorConfig } from 'graphql-codegen-generators/get-generator';
    export { TypescriptSingleFile, TypescriptMultiFile };
}

declare module 'graphql-codegen-generators/compile' {
    import { GeneratorConfig, FileOutput, Settings } from 'graphql-codegen-generators/types';
    import { Document, SchemaTemplateContext } from 'graphql-codegen-core';
    export const DEFAULT_SETTINGS: Settings;
    export function compileTemplate(config: GeneratorConfig, templateContext: SchemaTemplateContext, documents?: Document[], settings?: Settings): FileOutput[];
}

declare module 'graphql-codegen-generators/types' {
    import { Operation, Document, Fragment, SelectionSetFragmentSpread, SelectionSetFieldNode, SelectionSetInlineFragment } from 'graphql-codegen-core';
    export const EInputType: {
        SINGLE_FILE: string;
        MULTIPLE_FILES: string;
        PROJECT: string;
    };
    export interface GeneratorConfig {
        inputType: string;
        flattenTypes: boolean;
        templates: {
            [templateName: string]: string | string[];
        } | string;
        primitives: {
            String: string;
            Int: string;
            Float: string;
            Boolean: string;
            ID: string;
        };
        outFile?: string;
        filesExtension?: string;
    }
    export interface FileOutput {
        filename: string;
        content: string;
    }
    export interface FlattenOperation extends Operation {
        innerModels: FlattenModel[];
        isFlatten: boolean;
    }
    export interface FlattenFragment extends Fragment {
        innerModels: FlattenModel[];
        isFlatten: boolean;
    }
    export interface FlattenDocument extends Document {
        operations: FlattenOperation[];
        fragments: FlattenFragment[];
        hasFragments: boolean;
        hasOperations: boolean;
    }
    export interface FlattenModel {
        schemaBaseType: string;
        modelType: string;
        fields: SelectionSetFieldNode[];
        fragmentsSpread: SelectionSetFragmentSpread[];
        inlineFragments: SelectionSetInlineFragment[];
        hasFragmentsSpread: boolean;
        hasFields: boolean;
        hasInlineFragments: boolean;
    }
    export interface Settings {
        generateSchema?: boolean;
        generateDocuments?: boolean;
        verbose?: boolean;
    }
    export interface MultiFileTemplates {
        operation: Function[];
        fragment: Function[];
        type: Function[];
        scalar: Function[];
        'interface': Function[];
        inputType: Function[];
        union: Function[];
        'enum': Function[];
    }
}

declare module 'graphql-codegen-generators/typescript-single-file/config' {
    import { GeneratorConfig } from 'graphql-codegen-generators/types';
    const config: GeneratorConfig;
    export default config;
}

declare module 'graphql-codegen-generators/typescript-multi-file/config' {
    import { GeneratorConfig } from 'graphql-codegen-generators/types';
    const config: GeneratorConfig;
    export default config;
}

declare module 'graphql-codegen-generators/get-generator' {
    import { GeneratorConfig } from 'graphql-codegen-generators/types';
    export function getGeneratorConfig(name: string): GeneratorConfig;
}

